Bug 1737770 (python-SALib) - Review Request: python-SALib - Sensitivity Analysis Library
Summary: Review Request: python-SALib - Sensitivity Analysis Library
Keywords:
Status: CLOSED ERRATA
Alias: python-SALib
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-08-06 08:17 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-08-17 04:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-17 01:00:28 UTC
projects.rg: fedora-review+


Attachments (Terms of Use)
licensecheck.txt (3.89 KB, text/plain)
2019-08-07 20:49 UTC, Raphael Groner
no flags Details

Description Ankur Sinha (FranciscoD) 2019-08-06 08:17:57 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-SALib/python-SALib.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-SALib/python-SALib-1.3.7-1.fc30.src.rpm

Description:
Python implementations of commonly used sensitivity analysis methods. Useful in
systems modeling to calculate the effects of model inputs or exogenous factors
on outputs of interest.

Herman, J. and Usher, W. (2017) SALib: An open-source Python library for
sensitivity analysis. Journal of Open Source Software, 2(9).

Methods included:

- Sobol Sensitivity Analysis (Sobol 2001, Saltelli 2002, Saltelli et al. 2010)
- Method of Morris, including groups and optimal trajectories (Morris 1991,
  Campolongo et al. 2007)
- Fourier Amplitude Sensitivity Test (FAST) (Cukier et al. 1973, Saltelli et
  al. 1999)
- Delta Moment-Independent Measure (Borgonovo 2007, Plischke et al. 2013)
- Derivative-based Global Sensitivity Measure (DGSM) (Sobol and Kucherenko
  2009)
- Fractional Factorial Sensitivity Analysis (Saltelli et al. 2008)



Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2019-08-06 08:18:52 UTC
Successful rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36828992

Comment 2 Raphael Groner 2019-08-06 13:27:34 UTC
Do you plan to build for epel7, too? Notice: Dependency generator does not work in epel7.

Comment 3 Ankur Sinha (FranciscoD) 2019-08-06 21:49:00 UTC
(In reply to Raphael Groner from comment #2)
> Do you plan to build for epel7, too? Notice: Dependency generator does not
> work in epel7.

No, I do not. All neurofedora packages are currently aimed at Fedora releases only.

Comment 4 Raphael Groner 2019-08-07 20:49:15 UTC
Created attachment 1601562 [details]
licensecheck.txt

MIT license seems to be wrong, please clarify towards both BSD and Expat mentioned in attached licensecheck.txt file.

Comment 5 Raphael Groner 2019-08-07 20:59:18 UTC
(In reply to Raphael Groner from comment #4)
> Created attachment 1601562 [details]
> licensecheck.txt
> 
> MIT license seems to be wrong, please clarify towards both BSD and Expat
> mentioned in attached licensecheck.txt file.

Well, this seems to be a bug in fedora-review respectively licensecheck. GitHub clearly states the LICENSE.txt file as MIT. The other source file is located in samples folder what is not shipped in the binary packages. Sorry for the confusion.

Comment 6 Raphael Groner 2019-08-07 21:05:33 UTC
APPROVED


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.rst.txt is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text
=> OK

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "BSD 2-clause
     "Simplified" License". 104 files have unknown license. Detailed output
     of licensecheck in /home/builder/fedora-review/1737770-python-
     SALib/licensecheck.txt
=> Bug somewhere. MIT license is correct, as also stated on GitHub.
   The samples folder with Expat license is not shipped in the binary pkgs.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
=> OK, ignore this for python.
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-SALib
=> OK, some bug.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-SALib-1.3.7-1.fc31.noarch.rpm
          python-SALib-doc-1.3.7-1.fc31.noarch.rpm
          python-SALib-1.3.7-1.fc31.src.rpm
python3-SALib.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python3-SALib.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
python3-SALib.noarch: W: no-manual-page-for-binary salib
python3-SALib.noarch: W: no-manual-page-for-binary salib.py
python-SALib.src: W: spelling-error %description -l en_US et -> ET, wt, rt
python-SALib.src: W: spelling-error %description -l en_US al -> AL, la, Al
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = (unset),
        LC_ALL = (unset),
        LC_CTYPE = "C.UTF-8",
        LANG = "de_DE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = (unset),
        LC_ALL = (unset),
        LC_CTYPE = "C.UTF-8",
        LANG = "de_DE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
python3-SALib.noarch: W: spelling-error %description -l en_US et -> ET, wt, rt
python3-SALib.noarch: W: spelling-error %description -l en_US al -> AL, la, Al
python3-SALib.noarch: W: invalid-url URL: http://salib.github.io/SALib/ <urlopen error [Errno -2] Name or service not known>
python3-SALib.noarch: W: no-manual-page-for-binary salib
python3-SALib.noarch: W: no-manual-page-for-binary salib.py
python-SALib-doc.noarch: W: invalid-url URL: http://salib.github.io/SALib/ <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Source checksums
----------------
https://files.pythonhosted.org/packages/source/S/SALib/SALib-1.3.7.tar.gz :
  CHECKSUM(SHA256) this package     : b594187c5c710e55dfce77522959ddcc1522cffa117812d59a19a97425706b46
  CHECKSUM(SHA256) upstream package : b594187c5c710e55dfce77522959ddcc1522cffa117812d59a19a97425706b46


Requires
--------
python3-SALib (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.7dist(matplotlib)
    python3.7dist(numpy)
    python3.7dist(pandas)
    python3.7dist(scipy)
    python3.7dist(setuptools)
    python3dist(matplotlib)
    python3dist(numpy)
    python3dist(pandas)
    python3dist(scipy)

python-SALib-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-SALib:
    python-SALib
    python3-SALib
    python3.7dist(salib)
    python3dist(salib)

python-SALib-doc:
    python-SALib-doc



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1737770
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: PHP, SugarActivity, Haskell, R, Java, fonts, Ocaml, C/C++, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 7 Raphael Groner 2019-08-07 21:08:18 UTC
Small correction:
[x]: %check is present and all tests pass.

Comment 8 Ankur Sinha (FranciscoD) 2019-08-08 09:16:28 UTC
Thanks for the review, Raphael. SCM requested now:

https://pagure.io/releng/fedora-scm-requests/issue/14998

I'm quite sure the license is correct, but I'll double check before I import since licensecheck flagged it up for some reason.

Comment 9 Gwyn Ciesla 2019-08-08 13:21:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-SALib

Comment 10 Fedora Update System 2019-08-08 13:46:39 UTC
FEDORA-2019-087596d01d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-087596d01d

Comment 11 Fedora Update System 2019-08-08 13:46:39 UTC
FEDORA-2019-4f327a9756 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4f327a9756

Comment 12 Fedora Update System 2019-08-09 00:52:35 UTC
python-SALib-1.3.7-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-087596d01d

Comment 13 Fedora Update System 2019-08-09 01:36:07 UTC
python-SALib-1.3.7-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4f327a9756

Comment 14 Fedora Update System 2019-08-17 01:00:28 UTC
python-SALib-1.3.7-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-08-17 04:37:57 UTC
python-SALib-1.3.7-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.